> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/references/report-data/attachments/set-attachment-types.md).

# Set Attachment Types

You can set the types of attachments your users can add to reports using this API.

The available attachment types are:

* Initial Screenshot
* Extra Screenshot
* Gallery Image
* Screen Recording

**Method:**

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
BugReporting.enabledAttachmentTypes = [.screenShot, .extraScreenShot]
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
LCQBugReporting.enabledAttachmentTypes = LCQAttachmentTypeScreenShot | LCQAttachmentTypeExtraScreenshot;
```

{% endtab %}

{% tab title="And - Java" %}

```java
// Arguments: initialScreenshot, extraScreenshot, galleryImage & ScreenRecording
BugReporting.setAttachmentTypesEnabled(true, true, true, true);
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
// Arguments:initialScreenshot, extraScreenshot, galleryImage & ScreenRecording
BugReporting.setAttachmentTypesEnabled(true, true, true, true);
```

{% endtab %}

{% tab title="RN" %}

```javascript
BugReporting.setEnabledAttachmentTypes(screenshot, extraScreenshot, galleryImage, screenRecording);

//All properties are boolean values
```

{% endtab %}

{% tab title="Flutter" %}

```csharp
//Boolean Arguments
BugReporting.setEnabledAttachmentTypes(screenshot, extraScreenshot, galleryImage, screenRecording);
```

{% endtab %}
{% endtabs %}

**Attachment Types Enums:**

{% tabs %}
{% tab title="iOS - Swift" %}

```swift
//Inital Screenshot
.screenShot
//Extra Screenshot
.extraScreenShot
//Gallery Image
.galleryImage
//Screen Recording
.screenRecording
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objective-c
//Inital Screenshot
LCQAttachmentTypeScreenshot;
//Extra Screenshot
LCQAttachmentTypeExtraScreenshot;
//Gallery Image
LCQAttachmentTypeGalleryImage;
//Screen Recording
LCQAttachmentTypeScreenRecording;
```

{% endtab %}
{% endtabs %}

**Screen Recording Encoder:**\
For the Screen Recording, you can define a custom configuration using the API below:

{% tabs %}
{% tab title="And - Java" %}

```java
Luciq.setVideoEncoderConfig(VideoEncoderConfig config);
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
Luciq.setVideoEncoderConfig(config: VideoEncoderConfig)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.luciq.ai/references/report-data/attachments/set-attachment-types.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
